#ifndef UINT_H
#define UINT_H

#if MAXINT > 0xffff
typedef unsigned short uint2;  /* two-byte integer (large arrays)      */
typedef unsigned int   uint4;  /* four-byte integers (range needed)    */
#else
typedef unsigned int   uint2;
typedef unsigned long  uint4;
#endif

typedef uint2 uint;             /* fast unsigned integer, 2 or 4 bytes */

#endif
